﻿using Syncfusion.Windows.Diagram;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CircleAdornerTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            CreateNodes();
        }

        private void CreateNodes()
        {
            Node node1 = new Node()
            {
                Width = 100,
                Height = 100,
                OffsetX = 100,
                OffsetY = 100,
                Shape = Shapes.Rectangle
            };

            node1.Loaded += node_Loaded;

            diagram.Nodes.Add(node1);
        }

        private void node_Loaded(object sender, RoutedEventArgs e)
        {
            FrameworkElement node = (FrameworkElement)diagram.Nodes[0];
            AdornerLayer myAdornerLayer = AdornerLayer.GetAdornerLayer(node);
            if (myAdornerLayer != null)
            {
                CircleAdorner add = new CircleAdorner(node);
                myAdornerLayer.Add(add);
            }
        }
    }
}
